API referenceSegments

List a segment’s contacts

GET/segments/{id}/contacts

Resend-compatible (contacts.list({ segmentId })): the contacts of a manual segment (its subscribed members) or a filter segment, paged by contact id.

Authorization

apiKey
AuthorizationBearer <token>

A project API key: Authorization: Bearer s0_…

In: header

Path Parameters

id*string
Length1 <= length <= 64

Query Parameters

limit?integer
Range1 <= value <= 100
after?string
Length1 <= length <= 64
before?string
Length1 <= length <= 64

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/segments/string/contacts"
{  "object": "list",  "has_more": true,  "data": [    {      "object": "contact",      "id": "string",      "email": "string",      "first_name": "string",      "last_name": "string",      "unsubscribed": true,      "properties": {        "property1": "string",        "property2": "string"      },      "external_id": "string",      "source": "api",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ]}